it.csi.mddtools.guigen

## Enum EventTypes

- java.lang.Object
- - java.lang.Enum<EventTypes>
  - - it.csi.mddtools.guigen.EventTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventTypes>, org.eclipse.emf.common.util.Enumerator

      public enum EventTypes
      extends java.lang.Enum<EventTypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Event Types', and utility methods for working with them. tipologie di eventi a cui è possibile associare un event handler.
  See Also:
    `GuigenPackage.getEventTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICKED` The 'CLICKED' literal object
    `EDIT_COMMITTED` The 'EDIT COMMITTED' literal object
    `FOCUS_GAINED` The 'FOCUS GAINED' literal object
    `FOCUS_LOST` The 'FOCUS LOST' literal object
    `KEY_PRESSED` The 'KEY PRESSED' literal object
    `NODE_EXPANDED` The 'NODE EXPANDED' literal object
    `VALUE_CHANGED` The 'VALUE CHANGED' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLICKED_VALUE` The 'CLICKED' literal value
    `static int` | `EDIT_COMMITTED_VALUE` The 'EDIT COMMITTED' literal value
    `static int` | `FOCUS_GAINED_VALUE` The 'FOCUS GAINED' literal value
    `static int` | `FOCUS_LOST_VALUE` The 'FOCUS LOST' literal value
    `static int` | `KEY_PRESSED_VALUE` The 'KEY PRESSED' literal value
    `static int` | `NODE_EXPANDED_VALUE` The 'NODE EXPANDED' literal value
    `static int` | `VALUE_CHANGED_VALUE` The 'VALUE CHANGED' literal value
    `static java.util.List<EventTypes>` | `VALUES` A public read-only list of all the 'Event Types' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventTypes` | `get(int value)` Returns the 'Event Types' literal with the specified integer value
    `static EventTypes` | `get(java.lang.String literal)` Returns the 'Event Types' literal with the specified literal value
    `static EventTypes` | `getByName(java.lang.String name)` Returns the 'Event Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static EventTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLICKED

          public static final EventTypes CLICKED

      The 'CLICKED' literal object.
      See Also:
        `CLICKED_VALUE`

    - #### VALUE_CHANGED

          public static final EventTypes VALUE_CHANGED

      The 'VALUE CHANGED' literal object.
      See Also:
        `VALUE_CHANGED_VALUE`

    - #### FOCUS_GAINED

          public static final EventTypes FOCUS_GAINED

      The 'FOCUS GAINED' literal object.
      See Also:
        `FOCUS_GAINED_VALUE`

    - #### FOCUS_LOST

          public static final EventTypes FOCUS_LOST

      The 'FOCUS LOST' literal object.
      See Also:
        `FOCUS_LOST_VALUE`

    - #### KEY_PRESSED

          public static final EventTypes KEY_PRESSED

      The 'KEY PRESSED' literal object.
      See Also:
        `KEY_PRESSED_VALUE`

    - #### NODE_EXPANDED

          public static final EventTypes NODE_EXPANDED

      The 'NODE EXPANDED' literal object.
      See Also:
        `NODE_EXPANDED_VALUE`

    - #### EDIT_COMMITTED

          public static final EventTypes EDIT_COMMITTED

      The 'EDIT COMMITTED' literal object.
      See Also:
        `EDIT_COMMITTED_VALUE`

  - ### Field Detail

    - #### CLICKED_VALUE

          public static final int CLICKED_VALUE

      The 'CLICKED' literal value.

      If the meaning of 'CLICKED' literal object isn't clear, there really should be more of a description here...

      Evento di click su un controllo. Esempi:
      - la pressione di un ConfirmButton
      - il click su una voce di Menu
      - il click su una cella in una Table
      See Also:
        `CLICKED`, Constant Field Values

    - #### VALUE_CHANGED_VALUE

          public static final int VALUE_CHANGED_VALUE

      The 'VALUE CHANGED' literal value.

      If the meaning of 'VALUE CHANGED' literal object isn't clear, there really should be more of a description here...

      Evento che modifica il vlaore di un controllo. Esempi:
      - la selezione di una voce d una ComboBox
      - il click su un RadioButton
      See Also:
        `VALUE_CHANGED`, Constant Field Values

    - #### FOCUS_GAINED_VALUE

          public static final int FOCUS_GAINED_VALUE

      The 'FOCUS GAINED' literal value.

      If the meaning of 'FOCUS GAINED' literal object isn't clear, there really should be more of a description here...

      Rappresenta l'acquisizione del focus d aparte di un controllo. PER FUTURE EVOLUZIONI.
      See Also:
        `FOCUS_GAINED`, Constant Field Values

    - #### FOCUS_LOST_VALUE

          public static final int FOCUS_LOST_VALUE

      The 'FOCUS LOST' literal value.

      If the meaning of 'FOCUS LOST' literal object isn't clear, there really should be more of a description here...

      Rappresenta la perdita del focus d aparte di un controllo. PER FUTURE EVOLUZIONI.
      See Also:
        `FOCUS_LOST`, Constant Field Values

    - #### KEY_PRESSED_VALUE

          public static final int KEY_PRESSED_VALUE

      The 'KEY PRESSED' literal value.

      If the meaning of 'KEY PRESSED' literal object isn't clear, there really should be more of a description here...

      See Also:
        `KEY_PRESSED`, Constant Field Values

    - #### NODE_EXPANDED_VALUE

          public static final int NODE_EXPANDED_VALUE

      The 'NODE EXPANDED' literal value. Rappresenta l'evento di apertura di un nodo in un Tree (applicabile solo a TreeView)
      See Also:
        `NODE_EXPANDED`, Constant Field Values

    - #### EDIT_COMMITTED_VALUE

          public static final int EDIT_COMMITTED_VALUE

      The 'EDIT COMMITTED' literal value. Rappresenta l'evento di conferma di un'attività di editing complesso. Valido solo per MapView: serve per recepire le modifiche effettuate sulla mappa.
      See Also:
        `EDIT_COMMITTED`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EventTypes> VALUES

      A public read-only list of all the 'Event Types' enumerators.

  - ### Method Detail

    - #### values

          public static EventTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventTypes c : EventTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EventTypes get(java.lang.String literal)

      Returns the 'Event Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EventTypes getByName(java.lang.String name)

      Returns the 'Event Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EventTypes get(int value)

      Returns the 'Event Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EventTypes>`